##### basic_seq_packet_socket::basic_seq_packet_socket (8 of 10 overloads)

Construct a `basic_seq_packet_socket` on an existing native socket.

    template<
        typename ExecutionContext>
    basic_seq_packet_socket(
        ExecutionContext & context,
        const protocol_type & protocol,
        const native_handle_type & native_socket,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value >  = 0);

This constructor creates a sequenced packet socket object to hold an existing native socket.

###### Parameters

context

  An execution context which provides the I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

native_socket

  The new underlying socket implementation.

###### Exceptions

asio::system_error

  Thrown on failure.